curl -X GET "https://scrape.st/backfill/status?id=clxyz123abc" \
-H "x-api-key: YOUR_API_KEY"
{
"status": "in_progress",
"id": "clxyz123abc",
"externalId": "12",
"cursor": "DAABCgABFwX_JkwAABcE__8AAA==",
"last_id": "1886493083207827456",
"updated_at": "2026-04-22T01:00:00.000Z"
}
{
"status": "complete",
"id": "clxyz123abc",
"externalId": "12",
"cursor": "done",
"last_id": "1801234083207827000",
"updated_at": "2026-04-22T01:05:00.000Z"
}
Backfill
Check Status
Check the progress of a historical backfill
GET
/
backfill
/
status
curl -X GET "https://scrape.st/backfill/status?id=clxyz123abc" \
-H "x-api-key: YOUR_API_KEY"
{
"status": "in_progress",
"id": "clxyz123abc",
"externalId": "12",
"cursor": "DAABCgABFwX_JkwAABcE__8AAA==",
"last_id": "1886493083207827456",
"updated_at": "2026-04-22T01:00:00.000Z"
}
{
"status": "complete",
"id": "clxyz123abc",
"externalId": "12",
"cursor": "done",
"last_id": "1801234083207827000",
"updated_at": "2026-04-22T01:05:00.000Z"
}
Check the progress of an ongoing or completed historical backfill job.
This endpoint is rate-limited to 30 requests per 60 seconds.
Query Parameters
string
required
The internal ID of the tracked source (e.g., a cuid).
Response
string
The overall status of the backfill process. Possible values:
not_started,
in_progress, complete.string
The internal ID requested.
string
The platform’s external ID of the account.
string | null
The current cursor of the backfill process. Will be
"done" if it’s
completed.string | null
The last message ID processed.
string | null
The last time the status was updated, in ISO-8601 string format.
curl -X GET "https://scrape.st/backfill/status?id=clxyz123abc" \
-H "x-api-key: YOUR_API_KEY"
{
"status": "in_progress",
"id": "clxyz123abc",
"externalId": "12",
"cursor": "DAABCgABFwX_JkwAABcE__8AAA==",
"last_id": "1886493083207827456",
"updated_at": "2026-04-22T01:00:00.000Z"
}
{
"status": "complete",
"id": "clxyz123abc",
"externalId": "12",
"cursor": "done",
"last_id": "1801234083207827000",
"updated_at": "2026-04-22T01:05:00.000Z"
}